      MODULE BLKRM10
      CHARACTER*255 CWDIR
      CHARACTER*255 HELPDIR
      CHARACTER(LEN=255)  :: NAMEFL
      CHARACTER*16 DATEST,DATEND,DATENDST(25)
      CHARACTER*72 FNAME(50),TITLE,TITLEHEAD
      CHARACTER*240 DATALIN(5000)
      CHARACTER*80 LINSAVE(1000,3)
      CHARACTER*80 HOLDC(3000)
      INTEGER  ICCOMP(64),ICOMP(64)
      INTEGER LINSAVC(3),IPIV,MARSTYP(20),NMARSTYP
      INTEGER LINTOT,NQLIN(25),NHLIN(25),NELIN(25),NSND(25),IMW,WUNIT,JT,NODSND(500,25),NCODE(500,25)
      INTEGER IWIND(25),IWUNITS(25), NRITR(25)
      INTEGER ITYP(1000),INTG(100),IDEFLT(100),IQLIN(20,25),IQLIN1(20,25),IHLIN(20,25),IELIN(500,25),LAYNUMH(20,25),LAYNUMQ(20,25),LAYNUME(20,25),IITYPE(25)
      INTEGER qcklin(20,25),hcklin(20,25),ecklin(500,25),ecklin1(500,25),ecklin2(500,25),IETP(500,20),hcklin1(20,25),IELIN1(500,25)
      INTEGER ICFLOWS(20),ICELEV(20),ICDEP(20),NCFLOWS,NCELEV,NCDEP,NSPRTN
      INTEGER ISFLIN(20,25),NSFLIN(25),IFCLIN(20,25),IFCLIN1(20,25),NFCLIN(25)
      INTEGER LIMITVAL(13),LIMITDFT(13),IWTYP(1000),NWR,NHOLDC,ICPLIN(27)
      INTEGER IELTOPIP(10),IPIPTOEL(10),JET,JGATE,L3DCNT,L3DTYP
      INTEGER IBF1(1000),IEXTYP(1000),IGATE(1000,2)
      INTEGER JND(1000),KKLAY(1000)
      INTEGER NCSPLPT(30),NSPLPT(10)
      REAL    L3DDAT(1000,40),BCSND(500,25,6)
      INTEGER IITYP(1000)
      INTEGER KHCN(25),IHCN(20,25)
      
      CHARACTER*8 ACSPLPT(6)
      CHARACTER*80 SND(1000,25)


      REAL  OMEGA,CONVX,CONVH,ACT1,ACT2,ACT3,ACT4,DELT(25),DELTM(25),SIGMA1,SIGMA2
      REAL ACT1DF,ACT2DF,ACT3DF,ACT4DF
      REAL ORT(1000,13),ORTDFLT(1000,13),RLDAT(100),RDEFLT(100),WVEL(25),WDIR(25),EDD1(1000),EDD2(1000),EDD3(1000),EDD1DF(1000),EDD2DF(1000),EDD3DF(1000)
      REAL QLIN(20,25),HLIN(20,25),HLIN1(20,25),ELIN(200,25),QDLIN(20,25),SFLIN(20,25),SFLIN1(20,25),SFLIN2(20,25),SFLIN3(20,25),SFLIN4(20,25)       
      REAL FCLIN(20,25),FCLIN1(20,25),FCLIN2(20,25),FCLIN3(20,25),FCLIN4(20,25),FCLIN5(20,25),FCLIN6(20,25)
      REAL  WDT(1000,3),RMARSTYP(20,4),URLC(25)
      REAL ELMMIN(1000),ELMMAX(1000),MANMIN(1000),MANMAX(1000),MANSLOP(1000),BF1(1000),BF2(1000),ELDER(1000,2),TBFACT1(1000),TBMIN1(1000)
      REAL QUALKH(20,25,3),QUALKQ(20,25,3),QUALKE(20,25,3)
      REAL FHCN(20,25,36)
      
      INTEGER IOPTZD,IDNOPT,IYRR,ITMD,ITMM,DAYOFY,IEDSW,IPROJ,IYKK,IDTM,NLAYTYP,NDP,IGRV,IZB,IPASS1,IPASS2,IPASS3,NPRTI
      INTEGER IOPTZDDF,IDNOPTDF,IYRRDF,ITMDDF,ITMMDF,DAYOFYDF,IEDSWDF,IPROJDF,IDTMDF,NLAYTYPDF,IGRVDF,IZBDF,IPASS1DF,IPASS2DF,IPASS3DF,NPRTIDF
      REAL TET,TBFACT,TBMIN,TTEM,zerbed,GRAV,OMEGA1,ELEV,XSCALE,YSCALE,ZSCALE,ELEV1,CMIN,CPR,UNOM,UDIR,HMIN,DSET,DSETD
      REAL TETDF,TBFACTDF,TBMINDF,zerbedDF,OMEGA1DF,ELEVDF,XSCALEDF,YSCALEDF,ZSCALEDF,ELEV1DF,CMINDF,CPRDF,UNOMDF,UDIRDF,HMINDF,DSETDF,DSETDDF
      INTEGER IZERS,ISAVITR,IVERTDEN,IMGEOM,IFXBC,IEQSWT,NITI,NITN,NCYC,IPRT,NPRTF,IRSAV,IDSWT,IOUTFREQ,IOUTRST
      INTEGER IZERSDF,ISAVITRDF,IVERTDENDF,IMGEOMDF,IFXBCDF,IEQSWTDF,NITIDF,NITNDF,NCYCDF,IPRTDF,NPRTFDF,IRSAVDF,IDSWTDF,IOUTFREQDF,IOUTRSTDF
      INTEGER IREWOUT,ID1DND,ICPU,IOOC,IREWMES,IDEBUG,IVL,IDRPT,IOV,IOPTM,INEWDEN,ICESW,ITRANSIT,NODETR,IDEBUG1
      INTEGER IREWOUTDF,ID1DNDDF,ICPUDF,IOOCDF,IREWMESDF,IDEBUGDF,IVLDF,IDRPTDF,IOVDF,IOPTMDF,INEWDENDF,ICESWDF,ITRANSITDF,NODETRDF
      INTEGER METEQ,IBEDHT,ITOTC,JSPLPT,ICTOTC,JCSPLPT,NMAT
      INTEGER MDLIST(9),IDEXCL(1000),NPWR,NINCC(20),NOUTCC(20),IPWRSW(20),NADTYP(20)
      REAL SALI,TEMPI,SEDI,UINP,VINP,prcnt,DMIX,TSTART,PRTI,CONV(6),DRFACT,DFACTIN1,DFACTIN2,DFACTIN3
      REAL SALIDF,TEMPIDF,SEDIDF,UINPDF,VINPDF,prcntDF,DMIXDF,TSTARTDF,PRTIDF,CONVDF(6),DRFACTDF,DFACTIN1DF,DFACTIN2DF,DFACTIN3DF
      REAL TRELEV,TRFACT,BEDMIN,BEDMAX,BEDSHIFT,FLOWSCAL,VSET,VDECAY,PRECIP,VMIN,POWER,UMIN,PWERIN
      REAL VMINDF,POWERDF,UMINDF,PWERINDF,TRANSIT,TRANSITDF
      REAL ADDSAL(20),ADDTMP(20,3),ADDSED(20),ADDMAX(20)
      END